import QtQuick
import QtQuick.Controls
import QtQuick.Layouts
import QtMultimedia

import "../components"

import Artix.Gui
import Artix.View
import AV

GroupBox {
    id: root

    Layout.preferredWidth: Style.layout.preferredWidth
    Layout.preferredHeight: Style.layout.preferredHeight

    ColumnLayout {
        anchors.fill: parent
        Layout.fillWidth: true
        Layout.fillHeight: true

        GroupBox {
            interactive: false
            Style.class: root.Style.class
            Layout.fillHeight: true
            Layout.fillWidth: true

            SVideoOutput {
                id: player
                anchors.fill: parent
                videoSink: qmlMainWindow.videoSink
            }
        }
    }
}
