import QtQuick

import Artix.Gui

/**
 * @brief Представление модальных диалогов
 */
BasicDialog {
    readonly property int defaultWidth: 464
    withBottomPanel: false
    x: (primaryScreen.geometry.width - implicitWidth) / 2
    y: (primaryScreen.geometry.height - implicitHeight) / 2 - 24
    padding: 24
    implicitWidth: defaultWidth
    implicitHeight: topPadding + bottomPadding + implicitContentHeight
    radius: 20
    color: Style.parameter("color.modalBackground")
    transformOrigin: Item.Center
}
